<form class="form" [formGroup]="contactForm" (ngSubmit)="submitForm()" novalidate autocomplete="off">
  <div class="row">
    <div class="col-xs-12 form-group">
      <div class="heading">
        Contact data
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-6">
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label class="form__label" for="c_f_n">Contact First name:</label>
            <input formControlName="firstName" type="text" class="form-control" id="c_f_n">
            <div class="form__alert alert alert-danger" *ngIf="contactForm.controls['firstName'].invalid && contactForm.controls['firstName'].touched">
              <div [hidden]="!contactForm.controls['firstName'].errors?.required">This field is required</div>
              <div [hidden]="!contactForm.controls['firstName'].errors?.maxlength">Max length exceeded</div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label class="form__label" for="c_l_n">Contact Last name:</label>
            <input formControlName="lastName" type="text" class="form-control" id="c_l_n">
            <div class="form__alert alert alert-danger" *ngIf="contactForm.controls['lastName'].invalid && contactForm.controls['lastName'].touched">
              <div [hidden]="!contactForm.controls['lastName'].errors?.required">This field is required</div>
              <div [hidden]="!contactForm.controls['lastName'].errors?.maxlength">Max length exceeded</div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label class="form__label" for="ph_nr">Phone number:</label>
            <input formControlName="phoneNumber" type="text" class="form-control" id="ph_nr">
            <div class="form__alert alert alert-danger" *ngIf="contactForm.controls['phoneNumber'].invalid && contactForm.controls['phoneNumber'].touched">
              <div [hidden]="!contactForm.controls['phoneNumber'].errors?.required">This field is required</div>
              <div [hidden]="!contactForm.controls['phoneNumber'].errors?.maxlength">Max length exceeded</div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label class="form__label" for="country">Country:</label>
            <input formControlName="country" type="text" class="form-control" id="country" (change)="geoInputChanged()">
            <div class="form__alert alert alert-danger" *ngIf="contactForm.controls['country'].invalid && contactForm.controls['country'].touched">
              <div [hidden]="!contactForm.controls['country'].errors?.required">This field is required</div>
              <div [hidden]="!contactForm.controls['country'].errors?.maxlength">Max length exceeded</div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label class="form__label" for="city">City:</label>
            <input formControlName="city" type="text" class="form-control" id="city" (change)="geoInputChanged()">
            <div class="form__alert alert alert-danger" *ngIf="contactForm.controls['city'].invalid && contactForm.controls['city'].touched">
              <div [hidden]="!contactForm.controls['city'].errors?.required">This field is required</div>
              <div [hidden]="!contactForm.controls['city'].errors?.maxlength">Max length exceeded</div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label class="form__label" for="street">Street:</label>
            <input formControlName="street" type="text" class="form-control" id="street" (change)="geoInputChanged()">
            <div class="form__alert alert alert-danger" *ngIf="contactForm.controls['street'].invalid && contactForm.controls['street'].touched">
              <div [hidden]="!contactForm.controls['street'].errors?.required">This field is required</div>
              <div [hidden]="!contactForm.controls['street'].errors?.maxlength">Max length exceeded</div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label class="form__label" for="post_code">Post code:</label>
            <input formControlName="zip" type="text" class="form-control" id="post_code" (change)="geoInputChanged()">
            <div class="form__alert alert alert-danger" *ngIf="contactForm.controls['zip'].invalid && contactForm.controls['zip'].touched">
              <div [hidden]="!contactForm.controls['zip'].errors?.required">This field is required</div>
              <div [hidden]="!contactForm.controls['zip'].errors?.maxlength">Max length exceeded</div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xs-6">
      <agm-map [latitude]="lat" [longitude]="lng" [zoom]="zoom" (mapClick)="mapClicked($event)">
        <agm-marker [latitude]="lat" [longitude]="lng"></agm-marker>
      </agm-map>
    </div>
  </div>
  <div class="row form__submit_area">
    <div class="col-md-offset-3 col-md-3">
      <button type="button" class="btn btn-block btn-back" (click)="back()">Back</button>
    </div>
    <div class="col-md-3">
      <button class="btn btn-block">Cancel</button>
    </div>
    <div class="col-md-3">
      <button class="btn btn-success btn-block" (click)="submitForm()">Next</button>
    </div>
  </div>
</form>
